      program wpjprob
C.......................................................Apr. 2013
C Select wnjoc & wpjoc for 24 hrs prior Wpmax, and 48 hrs after Wpmax

C.......................................................Mar. 2009
C 
C Input WpPEAK (max of Wp storm): yr,mn,dy,UTmax; 
C
C
C Input wpstorm.txt = 274 storms for 1999-2013	
C Output of results 
C Probability of W-storms & W+storms counts
C
C
C 1) Select periods of Wp storms (hour by hour UT)
C
C 2) Sort and analyse hourly occurrence from W-index maps 
C    Count W=-3 & W=-4	
C    Count W=+3 & W=+4
C 
C
c monthly-hourly Wnst, Wpst collected for UT: 0, 1, ...,23 hrs
c from JPL TEC maps
c
	DIMENSION im(12),dst(0:23),iwnoc(0:23),iwpoc(0:23)
	+,wpmax(310)
	CHARACTER(10) DD
      CHARACTER(10) TT
      CHARACTER(5) ZZ
	CHARACTER*64 infile1,infile2,outfile,infileb2
	+,infilewp,txt
      CHARACTER*2 AYR,AMN,CMN,CDY
	CHARACTER*2 ADY,AUT,DYR,DMN,DDY,XUT
	+,wyr(310),wmn(310),wdy(310),wut(310)
		CHARACTER*128 title
	DATA  IM/31,28,31,30,31,30,31,31,30,31,30,31/
	integer*2 jut,jyr,jmn,jdy,jdy1,jdy2
	+,iut1,iut2,jut1,jut2,jmn1,jmn2
C
	CALL DATE_AND_TIME(DATE=DD,TIME=TT,ZONE=ZZ)
      TT(5:)='      '
      WRITE(*,*) 'PC Date: Year,Month,Day = ',DD,'Time = ',TT

      outfile='wpjprob.txt' ! 
C
	OPEN(112,FILE=OUTFILE,ACCESS='APPEND')

C start = Enter of Wp storms Catalog

C nn  Start     UT   Peak      UT  Wp-max EndDay   UT  Hrs Wp-mean Power
C-----------------------------------------------------------------------
C  1 1999/01/13 18  1999/01/13 21  6.8  1999/01/14 23   30    5.2  204.0

	infilewp='tecstorm.txt'
  801	format(A64)
  802	format(21X,3(A2,1X),I2,1X,F4.1)
	OPEN(10,FILE=infilewp,ACTION='READ')
	do k=1,12
	read(10,801) txt ! extra lines
	enddo
	jend=0
	DO j=1,310
	read(10,802,end=800) wyr(j),wmn(j),wdy(j),iut,wpmax(j) ! Peak of Wp storm
	jend=jend+1
	 write(*,802) wyr(j),wmn(j),wdy(j),iut,wpmax(j)
	call blet2(iut,AUT)
	wut(j)=aut
	enddo
  800	close (unit=10)

C ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  305	format(1X,I4,1X,F5.1)

C Cycle on Wp storms
  805	DO 870 nn=1,jend-4 ! Temporary avoid 3 storms for 2013
C
	awp=wpmax(nn)
 	write(*,305) nn,awp
	write(112,305) nn,awp

C
	ayr=wyr(nn)
 	read(ayr,*) ryr
	jyr=int(ryr)
	cmn=wmn(nn)
 	read(cmn,*) rmn
	jmn=int(rmn)
	cdy=wdy(nn)
 	read(cdy,*) rdy
	jdy=int(rdy)
	lda=ndoy(jyr,jmn,jdy)
	lda1=lda-1
	if (lda1.le.0) then
	lda1=lda
	endif
	lda2=lda+2
	call submmdd(lda1,jyr,jmn1,jdy1) 
	call submmdd(lda2,jyr,jmn2,jdy2) 
	xut=wut(nn)
 	read(xut,*) rut
	jut=int(rut)
	jut1=jut
	jut2=jut
C
C
	if(int(ryr/4.)*4.eq.jyr) THEN 
  	im(2)=29
	                          ELSE
	IM(2)=28
	ENDIF
C
  809	continue
C Open Dst file to select Dst
  	infileb2='d:/Apkp/dst20YR'		 !
	infileb2(14:15)=AYR
	if (AYR.eq.'99') then
	infileb2(12:13)='19'
	                 else
	infileb2(12:13)='20'
	endif
      OPEN(34,FILE=infileb2,ACTION='READ')
	do idst=1,lda1-1
	READ(34, 197, END=855) DYR,DMN,DDY,(DST(k),k=0,23) ! 
	enddo
  197 format(3X,2A2,1X,A2,10X,24(F4.0))
  855 CONTINUE
c	READ(34, 196, END=???) DST ! 
      infile1='pjtocYR.txt'	 !W+ storm occur.
	infile1(6:7)=ayr
	infile2=infile1			 !W- storm occur.
	infile2(1:1)='n'
C
  194 format(3A2,24(1X,I4))
	OPEN(110,FILE=INFILE1,ACTION='READ')
	OPEN(111,FILE=INFILE2,ACTION='READ')
	READ(110, 195) title  !Extra line
	READ(111, 195) title  !Extra line
	do iw=1,lda1-1
	READ(110, 194, END=855) DYR,DMN,DDY,(iwpoc(k),k=0,23) ! 
	READ(111, 194, END=855) DYR,DMN,DDY,(iwnoc(k),k=0,23) ! 
	enddo
C^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
C Day-to-day cycle
  807	lda=lda1-1	! pre-start value
	jdy=jdy1-1	! pre-start value
  810	jdy=jdy+1
	lda=lda+1
	if (lda.gt.lda2) GOTO  851 ! end of event
	call submmdd(lda,jyr,jmn,jdy)
	call blet2(jmn,AMN)
	call blet2(jdy,ADY)

C read Dst for day lda:
  301	READ(34, 197,err=870,end=870) DYR,DMN,DDY,(DST(k),k=0,23) ! Dst hourly
	if ((dmn.eq.amn).and.(ddy.eq.ady)) then
	goto 302 
	else
	goto 301
	endif

  302	READ(110, 194,err=870,end=870) DYR,DMN,DDY,(iwpoc(k),k=0,23) ! Wpoc hourly
	if ((dmn.eq.amn).and.(ddy.eq.ady)) then
	goto 303 
	else
	goto 302
	endif
  303	READ(111, 194,err=870,end=870) DYR,DMN,DDY,(iwnoc(k),k=0,23) ! Wnoc hourly
	if ((dmn.eq.amn).and.(ddy.eq.ady)) then
	goto 304 
	else
	goto 303
	endif
C Start cycle on ut
  304	if (lda.eq.lda1) then
	iut1=jut1
	iut2=23
	goto 833
	endif
	if ((lda.gt.lda1).and.(lda.lt.lda2)) then
	iut1=0
	iut2=23
	goto 833
	endif
	     if (lda.eq.lda2) then
	iut1=0
	iut2=jut2
	           endif
C
  833	DO 850 JUT=IUT1,IUT2         ! ------------------------
C
	call blet2(jut,AUT)
C
C+++++++++++++++++++++++++++++
	 iocp=iwpoc(jut)
	iocn=iwnoc(jut)
	dstut=dst(jut)
	write(*,272) AYR,AMN,ady,aut,iocp,iocn,dstut
	write(112,272) AYR,AMN,ady,aut,iocp,iocn,dstut
 850	CONTINUE             ! END CYCLE on UT =============================

 849	 GOTO 810 ! next day of event
C 
851	 CONTINUE	   ! END of CYCLE ON EVENT
	close(unit=110)
	close(unit=111)
	close(unit=34)

  870	continue			 ! next event
270   format(72(1X,I4))  
crem 271   format(1X,3A2,1X,A2,4(1X,F7.3),4(1X,F6.0))
272   format(1X,3A2,1X,A2,2(1X,I4),1X,F6.0)
   71	format(A64)
   82	format(2A2,I2,24(1X,I4))
  195	format(A128)


		CLOSE(unit=112)
	goto 900                ! Next input file
    2 CONTINUE
           write(*,*) 'INPUT FILE IS NOT IN YOUR DIRECTORY '
  900 continue
      pause ' '
      STOP
      END


C ====================================================================
