C.......................................................Feb. 2020
C
C.......................................................Jan 2013
C updated pW+ and pW- for magnetic frame maps
C.......................................................June 2013
C New t0= onset of Dst storm
C
C.......................................................May 2013
C Calculate cross-correlation of 2 arrays given lag=-6,-5,-4,...-1,0,1,...5, 6 hrs
C Model of Prpb. W+, W- versus Dst
C 
      program croslag3
C      output	cmaprms2.txt
C
      DIMENSION dinp(0:60,3),x(72),y(72),z(72)
	character*45 infile1,infile2,outfile
	character*14 title
c
c
	infile='averm.txt'
		outfile='croslagm.txt'
crem	infile='averi.txt'
crem	outfile='croslagi.txt'
crem   21	format(1X,F9.4,2(4X,F6.5))
   21	format(1X,F4.0)
C
   18	OPEN(110,FILE=infile)
	OPEN(111,FILE=outfile,ACCESS='APPEND')
	do k=1,3
	read(110,*) title
	do i=0,60
	read(110,21) dinp(i,k) ! Dst, W+, W-
	if (k.gt.1) dinp(i,k)=dinp(i,k)/10000.
	enddo
	enddo
C Change arrays of W+ by W-:
	do i=0,60
	w1=dinp(i,2)		   ! W+
	dinp(i,2)=dinp(i,3)	   ! W-
	dinp(i,3)=w1		   ! W+
	enddo
      close(unit=110)
	do n=0,60
	x(n+1)=dinp(n,1)
	enddo
	do n=0,60
	y(n+1)=dinp(n,2)	   ! W+ probability
	enddo

Cycle on lag (delay of Wp after Dst)
	irun=0
  119	continue
	irun=irun+1 
      DO 120 lag=0,12
crem	nrun=73-lag
      nrun=61-lag
	sx=0.
	sy=0.
	do jj=1,nrun
	sx=sx+x(jj)
	z(jj)=y(jj+lag)
	sy=sy+y(jj)
	enddo
	sx=sx/nrun
	sy=sy/nrun
	sum1=0.
	sum2=0.
	sum3=0.
	do jj=1,nrun
	sum1=sum1+(x(jj)-sx)*(z(jj)-sy)
      sum2=sum2+(x(jj)-sx)**2
      sum3=sum3+(y(jj)-sy)**2
	enddo
	cxy=sum1/sqrt(sum2*sum3)
	write(*,22) irun,nrun,lag,cxy,x(1),y(1),z(1)
	write(111,22) irun,nrun,lag,cxy,x(1),y(1),z(1)
  120	continue
C
  22	format(1X,3(1X,I2),1X,F7.3,3(1X,F8.3))
	if (irun.eq.1) then
	do m=0,60
	z(m+1)=dinp(m,1)
	x(m+1)=dinp(m,2)
	y(m+1)=z(m+1)
	enddo
	goto 119
	else
	 GOTO 33
	endif

    2 CONTINUE
       write(*,*) 'INPUT FILE IS NOT IN YOUR DIRECTORY '
 	pause ' '
	goto 34
   33	continue
  98	close(unit=111)
      write(*,*) infile,infile,outfile
      pause ' ' 
   34   STOP
       END

